org.apache.lucene.index

## Class CheckIndex.Status.PointsStatus

- java.lang.Object
- - org.apache.lucene.index.CheckIndex.Status.PointsStatus

Enclosing class:
  CheckIndex.Status

    public static final class CheckIndex.Status.PointsStatus
    extends Object

Status from testing PointValues

### Field Summary

Fields
`Throwable` `error` Exception thrown during doc values test (null on success)
`int` `totalValueFields` Total number of fields with points.
`long` `totalValuePoints` Total number of values points tested.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### totalValuePoints

    public long totalValuePoints

Total number of values points tested.

#### totalValueFields

    public int totalValueFields

Total number of fields with points.

#### error

    public Throwable error

Exception thrown during doc values test (null on success)